#!/bin/bash

mysqlserver="127.0.0.1"



if [ -z "$1" ]
then
          echo "not Creating an account, you did not add an account name to the command" ;
               exit ;
          else
          echo "Creating account $1"
fi


cp -Rf /home/genericpbx /home/$1 
chmod 777 -R /home/$1
cat /home/$1/www/settings/sqlserverg.php | sed -e "s/demo/$1/ ; s/localhost/$mysqlserver/" > /home/$1/www/settings/sqlserver.php
rm -f /home/$1/www/settings/sqlserverg.php

#-------create database and register the account on the registrar database with credits---------
mysql -uroot -pdont4get1 -h $mysqlserver -e "create database $1"
#mysqladmin -uroot -pdont4get1 create $1
mysql -uroot -pdont4get1 -h $mysqlserver -e "insert into registrar.reg values ('','demo','$1','1','5','0','0','0');"
#-----------------------------------------------------------------------------------------------

#ln -s /home/$1/www /home/vps/www/$1
ln -s /home/$1/www /home/vps/www/pbx/$1

cat /scripts/bkp | sed -e "s/db/$1/" | sed -e "s/{date}_db/{date}_$1/" >> /scripts/backupdb.sh
cat /scripts/chclk.txt | sed -e "s/~db~/$1/ ; s/~tz~/-4/" >> /scripts/changeclockedt.sh
cat /scripts/chclk.txt | sed -e "s/~db~/$1/ ; s/~tz~/-5/" >> /scripts/changeclockest.sh

echo "/scripts/processvoip.sh main $1 $1" >> /scripts/processallvoip.sh

echo "unzip -o updatescr.zip -d /home/$1/www
chmod 777 -R /home/$1/www" >> /scripts/updateaccounts.sh

#php /scripts/allocatext.php $1

# dialing contexts
sed "s/~db~/${1}/" /scripts/generic.ael > /etc/asterisk/AEL/context-out/${1}.ael
sed "s/~db~/${1}/" /scripts/generic-ivr.ael > /etc/asterisk/AEL/context-out/${1}-ivr.ael
sed "s/~db~/${1}/" /scripts/generic-tr.ael > /etc/asterisk/AEL/context-out/${1}-tr.ael
sed "s/~db~/${1}/" /scripts/generic-fwd.ael > /etc/asterisk/AEL/context-out/${1}-fwd.ael
sed "s/~db~/${1}/" /scripts/generic-cc.ael > /etc/asterisk/AEL/context-out/${1}-cc.ael
sed "s/~db~/${1}/" /scripts/generic-sms.ael > /etc/asterisk/AEL/context-out/${1}-sms.ael
sed "s/~db~/${1}/" /scripts/tmp-generic.txt > /etc/asterisk/AEL/context-out/tmp-${1}.txt

# music on hold
mkdir /etc/asterisk/moh/${1}
cp /scripts/standard.wav /etc/asterisk/moh/${1}/
sed "s/~db~/${1}/" /scripts/genericmoh.conf > /etc/asterisk/moh/${1}.conf

mkdir /etc/asterisk/moh/${1}_queue
cp /scripts/standard.wav /etc/asterisk/moh/${1}_queue/
sed "s/~db~/${1}/" /scripts/genericmoh_queue.conf > /etc/asterisk/moh/${1}_queue.conf

mkdir /etc/asterisk/moh/${1}_ringtone1
sed "s/~db~/${1}/" /scripts/genericmoh_ringtone1.conf > /etc/asterisk/moh/${1}_ringtone1.conf

mkdir /etc/asterisk/moh/${1}_ringtone2
sed "s/~db~/${1}/" /scripts/genericmoh_ringtone2.conf > /etc/asterisk/moh/${1}_ringtone2.conf

mkdir /etc/asterisk/moh/${1}_ringtone8
sed "s/~db~/${1}/" /scripts/genericmoh_ringtone8.conf > /etc/asterisk/moh/${1}_ringtone8.conf
cp /scripts/ringandbusy.wav /etc/asterisk/moh/${1}_ringtone8/

mkdir /etc/asterisk/moh/${1}_general2
cp /scripts/standard.wav /etc/asterisk/moh/${1}_general2/
sed "s/~db~/${1}/" /scripts/genericmoh_general2.conf > /etc/asterisk/moh/${1}_general2.conf

mkdir /etc/asterisk/moh/${1}_general3
cp /scripts/standard.wav /etc/asterisk/moh/${1}_general3/
sed "s/~db~/${1}/" /scripts/genericmoh_general3.conf > /etc/asterisk/moh/${1}_general3.conf

mkdir /etc/asterisk/moh/${1}_general4
cp /scripts/standard.wav /etc/asterisk/moh/${1}_general4/
sed "s/~db~/${1}/" /scripts/genericmoh_general4.conf > /etc/asterisk/moh/${1}_general4.conf


#create voicemail directory
mkdir /var/spool/asterisk/voicemail/${1}
chmod 777 -R /var/spool/asterisk/voicemail/${1}
chmod 777 -R /etc/asterisk/AEL/context-out

#/cid/ast -rx 'reload'

php /scripts/iax.php
php /scripts/ppu.php
#/cid/ast -rx 'reload'
/cid/sync.sh


echo "Account $1 Created!"
echo "You'll need to create a virtual domain entry in httpd.conf 
and a dns entry on the dns server"
