<?php

$fn = $argv[1]; // filename and path
$pages = $argv[2];  // completed pages
$total=exec("pdfinfo ${fn}.pdf | grep Pages | awk '{print $2}'"); // total pages of PDF document

if($pages == 0){$fp=1;} else {$fp=$pages;}

print("page range = $fp to $total \r\n");

//-----------------------------------------------------------------------------------------------------------------------------
// --------- Extract page range from PDF into new PDF , Then move original to old temp name
//---------- and rename new file into original PDF file name 
exec("gs -sDEVICE=pdfwrite -dNOPAUSE -dBATCH -dSAFER -dFirstPage=${fp} -dLastPage=${total} -sOutputFile=${fn}.pdf.new ${fn}.pdf"); 
rename("${fn}.pdf", "${fn}.pdf.old"); 
rename("${fn}.pdf.new", "${fn}.pdf");
//------------------------------------------------------------------------------------------------------------------------------

//---------------------Convert new PDF file to Tiff-----------------------------
$fs=0;
$filename="${fn}.pdf";
$fs=filesize("$filename");
$fs=$fs/1048576;
$fs=round($fs,2);

exec("rm ${fn}.tiff");  

if($fs <= 1.5){
exec("convert -brightness-contrast 8x0 -define quantum:polarity=min-is-white -endian MSB -units PixelsPerInch -density 204x196 -units PixelsPerInch -compress Fax -sample 1728 ${fn}.pdf ${fn}.tiff");
}
else{
exec("gs -q -dNOPAUSE -dBATCH -sDEVICE=tiffg4 -sPAPERSIZE=letter  -r204x196 -dAutoRotatePages -g1728x2156 -sOutputFile=${fn}.tiff ${fn}.pdf");
}

//-------------------------------------------------------------------------------


?>
