// stores the reference to the XMLHttpRequest object
var xmlHttp = createXmlHttpRequestObject();
// retrieves the XMLHttpRequest object
function createXmlHttpRequestObject()
{
// will store the reference to the XMLHttpRequest object
var xmlHttp;
// if running Internet Explorer
if(window.ActiveXObject)
{
try
{
xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
}
catch (e)
{
xmlHttp = false;
}
}
// if running Mozilla or other browsers
else
{
try
{
xmlHttp = new XMLHttpRequest();
}
catch (e)
{
xmlHttp = false;
}
}
// return the created object or display an error message
if (!xmlHttp)
alert("Error creating the XMLHttpRequest object.");
else
return xmlHttp;
}
// make asynchronous HTTP request using the XMLHttpRequest object


function process()
{

//document.getElementById('submission').style.visibility = 'visible';
// proceed only if the xmlHttp object isn't busy

if (xmlHttp.readyState == 4 || xmlHttp.readyState == 0)
{
// retrieve the name typed by the user on the form

xmlHttp.open("GET", "qschat.php?apttime=" + 5, true);
xmlHttp.onreadystatechange = handleServerResponse;

xmlHttp.send(null);
}
else
// if the connection is busy, try again after one second
setTimeout('process()', 5000);

//exit;
}
// executed automatically when a message is received from the server


function handleServerResponse()
{
// move forward only if the transaction has completed
if (xmlHttp.readyState == 4)
{

// status of 200 indicates the transaction completed successfully
if (xmlHttp.status == 200)
{
// extract the XML retrieved from the server
xmlResponse = xmlHttp.responseXML;
// obtain the document element (the root element) of the XML structure
xmlDocumentElement = xmlResponse.documentElement;
// get the text message, which is in the first child of
// the the document element
helloMessage = xmlDocumentElement.firstChild.data;
// update the client display using the data received from the server

//answer= helloMessage;

document.getElementById("dt").innerHTML= helloMessage;


// restart sequence
setTimeout('process()', 5000);
}
// a HTTP status different than 200 signals an error

/*
else
{
//alert("There was a problem accessing the server: " +xmlHttp.statusText);
}
*/

}
}

