#!/bin/bash

# username = 1
# first name = 2
# last name = 3
# extension = 4
# MAC Address = 5
# Asterisk Server = 6
# old username = 7
# password = 8
# database = 9
# overrides = 10
# homedir = 11
# phonever = 12
# un2 = 13
# pw2 = 14
# un3 = 15
# pw3 = 16
# un4 = 17
# pw4 = 18
# un5 = 19
# pw5 = 20
# un6 = 21
# pw6 = 22

rm -f /tftpboot/${5}.cfg
rm -f /tftpboot/${5}/phone1.cfg
rm -f /tftpboot/${5}/${5}.cfg


cp /cid/ylphone/generic.cfg /cid/${5}.cfg
echo "${10}" > /cid/${5}_overrides.cfg


sed -i "s/~d~b/${9}/ ; s/~u~n~/${1}/ ; s/~u~n1~/${1}/  ; s/~p~w/${8}/ ; s/fname/${2}/ ; s/lname/${3}/ ; s/e~t~/${4}/ ; s/~a~s1/${6}/ ; s/~a~s2/${6}/" /cid/${5}.cfg
chmod 777 /cid/${5}.cfg
chmod 777 /cid/${5}_overrides.cfg
truncate -s -1 /cid/${5}_overrides.cfg

cp /cid/ylphone/phone1.cfg /tftpboot/${5}
sed -i "s/~d~b/${9}/ ; s/~p~h/${12}/ ; s/~u~n~/${1}/ ; s/fname/${2}/ ; s/lname/${3}/ ; s/e~t~/${4}/ ; s/~a~s1/${6}/ ; s/~a~s2/${6}/" /tftpboot/${5}/phone1.cfg

cp /cid/${5}.cfg /tftpboot/${5}
mv /cid/${5}_overrides.cfg /tftpboot/${5}
mv /cid/${5}.cfg /tftpboot/
cat /tftpboot/${5}/${5}_overrides.cfg >> /tftpboot/${5}.cfg

chmod 777 -R /tftpboot/${5}

#cp -f /${10}/settings/master-directory.xml /tftpboot/${5}/${5}-directory.xml



if [ "${13}" ]
then
	       lbl="$(cut -d'_' -f1 <<<"${13}")"
	       echo "

	       account.2.enable = 1
	       account.2.auth_name = ${13}
	       account.2.user_name = ${13}
	       account.2.password = ${14}
	       account.2.shared_line = 0
	       account.2.subscribe_mwi = 1
	       account.2.sip_server.1.address = ${6}
	       account.2.sip_server_host = ${6}
	       account.2.sip_server.2.address = %NULL%
	       account.2.outbound_port = 0
	       account.2.outbound_host = ${6}
	       account.2.outbound_proxy_enable = 1
	       account.2.transport = 0
	       account.2.display_name = ${lbl}
	       account.2.label = ${lbl}
	       account.2.sip_server.1.expires = 60
	       account.2.sip_server.1.transport = 0
	       account.2.sip_server.2.transport = 0"  >> /tftpboot/${5}.cfg
       fi


if [ "${15}" ]
then
               lbl="$(cut -d'_' -f1 <<<"${15}")"
               echo "

               account.3.enable = 1
               account.3.auth_name = ${15}
               account.3.user_name = ${15}
               account.3.password = ${16}
               account.3.shared_line = 0
               account.3.subscribe_mwi = 1
               account.3.sip_server.1.address = ${6}
               account.3.sip_server_host = ${6}
               account.3.sip_server.2.address = %NULL%
               account.3.outbound_port = 0
               account.3.outbound_host = ${6}
               account.3.outbound_proxy_enable = 1
               account.3.transport = 0
	       account.3.display_name = ${lbl}
	       account.3.label = ${lbl}
	       account.3.sip_server.1.expires = 60
	       account.3.sip_server.1.transport = 0
               account.3.sip_server.2.transport = 0"  >> /tftpboot/${5}.cfg
       fi


if [ "${17}" ]
then
               lbl="$(cut -d'_' -f1 <<<"${17}")"
               echo "

               account.4.enable = 1
               account.4.auth_name = ${17}
               account.4.user_name = ${18}
               account.4.password = ${17}
               account.4.shared_line = 0
               account.4.subscribe_mwi = 1
               account.4.sip_server.1.address = ${6}
               account.4.sip_server_host = ${6}
               account.4.sip_server.2.address = %NULL%
               account.4.outbound_port = 0
               account.4.outbound_host = ${6}
               account.4.outbound_proxy_enable = 1
               account.4.transport = 0
	       account.4.display_name = ${lbl}
	       account.4.label = ${lbl}
	       account.4.sip_server.1.expires = 60
	       account.4.sip_server.1.transport = 0
               account.4.sip_server.2.transport = 0"  >> /tftpboot/${5}.cfg
       fi


if [ "${19}" ]
then
               lbl="$(cut -d'_' -f1 <<<"${19}")"
               echo "

               account.5.enable = 1
               account.5.auth_name = ${19}
               account.5.user_name = ${20}
               account.5.password = ${19}
               account.5.shared_line = 0
               account.5.subscribe_mwi = 1
               account.5.sip_server.1.address = ${6}
               account.5.sip_server_host = ${6}
               account.5.sip_server.2.address = %NULL%
               account.5.outbound_port = 0
               account.5.outbound_host = ${6}
               account.5.outbound_proxy_enable = 1
               account.5.transport = 0
	       account.5.display_name = ${lbl}
	       account.5.label = ${lbl}
	       account.6.sip_server.1.expires = 60
	       account.5.sip_server.1.transport = 0
               account.5.sip_server.2.transport = 0"  >> /tftpboot/${5}.cfg
       fi


if [ "${21}" ]
then
               lbl="$(cut -d'_' -f1 <<<"${21}")"
               echo "

               account.6.enable = 1
               account.6.auth_name = ${21}
               account.6.user_name = ${21}
               account.6.password = ${22}
               account.6.shared_line = 0
               account.6.subscribe_mwi = 1
               account.6.sip_server.1.address = ${6}
               account.6.sip_server_host = ${6}
               account.6.sip_server.2.address = %NULL%
               account.6.outbound_port = 0
               account.6.outbound_host = ${6}
               account.6.outbound_proxy_enable = 1
               account.6.transport = 0
	       account.6.display_name = ${lbl}
	       account.6.label = ${lbl}
	       account.6.sip_server.1.expires = 60
               account.6.sip_server.1.transport = 0
               account.6.sip_server.2.transport = 0"  >> /tftpboot/${5}.cfg
       fi


 truncate -s -1 /tftpboot/${5}.cfg
 sed -i "s/\r//g" /tftpboot/${5}.cfg

