#!/bin/bash

cp -Rf /home/generic /home/$1 
chmod 777 -R /home/$1
cat /home/$1/www/settings/sqlserverg.php | sed -e "s/demo/$1/" > /home/$1/www/settings/sqlserver.php
rm -f /home/$1/www/settings/sqlserverg.php

#-------create database and register the account on the registrar database with credits---------
mysqladmin -uroot -pdont4get1 create $1
mysql -uroot -pdont4get1 -e "insert into registrar.reg values ('','demo','$1','1','5','0','1','1');"
#-----------------------------------------------------------------------------------------------

ln -s /home/$1/www /home/vps/www/$1

cat /scripts/bkp | sed -e "s/db/$1/" | sed -e "s/{date}_db/{date}_$1/" >> /scripts/backupdb.sh
cat /scripts/chclk.txt | sed -e "s/~db~/$1/ ; s/~tz~/-4/" >> /scripts/changeclockedt.sh
cat /scripts/chclk.txt | sed -e "s/~db~/$1/ ; s/~tz~/-5/" >> /scripts/changeclockest.sh


echo "/scripts/processvoip.sh main $1 $1" >> /scripts/processallvoip.sh
echo "/scripts/processrbs.sh main $1" >> /scripts/processallrbs.sh


echo "unzip -o updatescr.zip -d /home/$1/www
chmod 777 -R /home/$1/www" >> /scripts/updateaccounts.sh

#php /scripts/allocatext.php $1

# dialing contexts
sed "s/~db~/${1}/" /scripts/genericbyot.ael > /etc/asterisk/AEL/context-out/${1}.ael
sed "s/~db~/${1}/" /scripts/genericbyot-ivr.ael > /etc/asterisk/AEL/context-out/${1}-ivr.ael
sed "s/~db~/${1}/" /scripts/genericbyot-tr.ael > /etc/asterisk/AEL/context-out/${1}-tr.ael
sed "s/~db~/${1}/" /scripts/genericbyot-fwd.ael > /etc/asterisk/AEL/context-out/${1}-fwd.ael
sed "s/~db~/${1}/" /scripts/genericbyot-cc.ael > /etc/asterisk/AEL/context-out/${1}-cc.ael
sed "s/~db~/${1}/" /scripts/tmp-genericbyot.txt > /etc/asterisk/AEL/context-out/tmp-${1}.txt

# music on hold
mkdir /etc/asterisk/moh/${1}
cp /scripts/standard.wav /etc/asterisk/moh/${1}/
sed "s/~db~/${1}/" /scripts/genericmoh.conf > /etc/asterisk/moh/${1}.conf

mkdir /etc/asterisk/moh/${1}_queue
cp /scripts/standard.wav /etc/asterisk/moh/${1}_queue/
sed "s/~db~/${1}/" /scripts/genericmoh_queue.conf > /etc/asterisk/moh/${1}_queue.conf

mkdir /etc/asterisk/moh/${1}_ringtone1
sed "s/~db~/${1}/" /scripts/genericmoh_ringtone1.conf > /etc/asterisk/moh/${1}_ringtone1.conf

mkdir /etc/asterisk/moh/${1}_ringtone2
sed "s/~db~/${1}/" /scripts/genericmoh_ringtone2.conf > /etc/asterisk/moh/${1}_ringtone2.conf


#create voicemail directory
mkdir /var/spool/asterisk/voicemail/${1}
chmod 777 -R /var/spool/asterisk/voicemail/${1}
chmod 777 -R /etc/asterisk
#/cid/ast -rx 'reload'

echo "Account $1 Created!"
echo "You'll need to create a virtual domain entry in httpd.conf 
and a dns entry on the dns server"
