#!/bin/bash

mysqlserver="localhost"

if [ -z "$1" ]
then
	echo "not deleting any account, you did not add an account name to the command" ;
            exit ;
    else
        echo "Deleting account $1"
	
fi


rm -Rf /home/$1
rm -Rf /home/vps/www/$1
rm -Rf /home/vps/www/pbx/$1
rm -f  /etc/asterisk/sip/*_$1.*

#mysqladmin -uroot -pdont4get1 drop $1 -f
mysql -uroot -pdont4get1 -h $mysqlserver -e "drop database $1"
mysql -uroot -pdont4get1 -h $mysqlserver -e "delete from registrar.reg where dbase ='$1';"

#sed "/mysqldump -uroot -pdont4get1 $1 | gzip >  \/backup\/${date}_${1}.sql.gz/d" backupdb.sh  > tempbackupdb
sed "/mysqldump -uroot -pdont4get1 $1/d" backupdb.sh  > tempbackupdb
cp tempbackupdb backupdb.sh
rm -f tempbackupdb

sed "/processvoip.sh main $1 $1/d" processallvoip.sh  > tempprocessallvoip
cp tempprocessallvoip processallvoip.sh
rm -f tempprocessallvoip

sed "/processrbs.sh main $1/d" processallrbs.sh  > tempprocessallrbs
cp tempprocessallrbs processallrbs.sh
rm -f tempprocessallrbs

sed -i "/mysqldump -uroot -pdont4get1 $1/d" backupdb.sh
sed -i "/mysql -uroot -pdont4get1 -e \"update $1/d" changeclockedt.sh
sed -i "/mysql -uroot -pdont4get1 -e \"update $1/d" changeclockest.sh

# dialing contexts
rm -f /etc/asterisk/AEL/context-out/${1}.ael
rm -f /etc/asterisk/AEL/context-out/${1}-ivr.ael
rm -f /etc/asterisk/AEL/context-out/${1}-tr.ael
rm -f /etc/asterisk/AEL/context-out/${1}-fwd.ael
rm -f /etc/asterisk/AEL/context-out/${1}-cc.ael
rm -f /etc/asterisk/AEL/context-out/${1}-sms.ael
rm -f /etc/asterisk/AEL/context-out/tmp-${1}.txt


# hints
rm -f /etc/asterisk/AEL/context-out/hints_${1}.conf

# Parking lots
rm -f /etc/asterisk/AEL/context-out/parkinglot_${1}.conf
rm -f /etc/asterisk/AEL/context-out/parkinglot_${1}1a.conf
rm -f /etc/asterisk/AEL/parking/parkinglot_${1}.conf
rm -f /etc/asterisk/AEL/parking/parkinglot_${1}1a.conf

# music on hold
rm -f /etc/asterisk/moh/${1}.conf 
rm -f /etc/asterisk/moh/${1}_queue.conf
rm -Rf /etc/asterisk/moh/${1}
rm -Rf /etc/asterisk/moh/${1}_general2
rm -Rf /etc/asterisk/moh/${1}_general3
rm -Rf /etc/asterisk/moh/${1}_general4
rm -Rf /etc/asterisk/moh/${1}_queue
rm -Rf /etc/asterisk/moh/${1}_ringtone1
rm -Rf /etc/asterisk/moh/${1}_ringtone2
rm -Rf /etc/asterisk/moh/${1}_ringtone8
rm -f /etc/asterisk/moh/${1}_ringtone1.conf
rm -f /etc/asterisk/moh/${1}_ringtone2.conf

# voicemail
rm -f /etc/asterisk/vm/${1}.conf
rm -Rf /var/spool/asterisk/voicemail/${1} 


/cid/ast -rx 'reload'

echo "Account $1 Deleted and all Data Associated with it!"
#echo "\r\n You'll need to remove the virtual domain entry from httpd.conf and dns entry from the dns server if one was created"



