#!/bin/bash

tar -xzvf genasterisk.tar.gz
#cp -R /etc/asterisk /etc/asterisk_old
#cp -R genasterisk/* /etc/asterisk
#cp -R /etc/asterisk/cid /

cp -R genasterisk/cid /
cp -R genasterisk/scripts /
cp /bin/rm /cid/rv
cp /usr/sbin/asterisk /cid/ast
cp -R genasterisk/AEL /etc/asterisk
cp genasterisk/extensions.ael /etc/asterisk
cp genasterisk/extensions.conf /etc/asterisk

echo '#include "sipreg/*.conf"' >> /etc/asterisk/sip.conf
echo '#include "sip/*.conf"' >> /etc/asterisk/sip.conf
echo '#include "siptrunk/*.conf"' >> /etc/asterisk/sip.conf
echo '#include "iaxtrunk/*.conf"' >> /etc/asterisk/iax.conf
echo '#include "moh/*.conf"' >> /etc/asterisk/musiconhold.conf
echo '#include "fme/*"' >> /etc/asterisk/followme.conf
echo '#include "queues/*.conf"' >> /etc/asterisk/queues.conf
echo '#include "moh/*.conf"' >> /etc/asterisk/musiconhold.conf
echo '#include "queues/*.conf"' >> /etc/asterisk/queues.conf
echo '#include "AEL/context-out/parkinglot_*.conf"' >> /etc/asterisk/res_parking.conf
echo '#include "/etc/asterisk/vm/*.conf"' >> /etc/asterisk/voicemail.conf

mkdir /etc/asterisk/sip
touch /etc/asterisk/sip/empty.conf
mkdir /etc/asterisk/siptrunk
touch /etc/asterisk/siptrunk/empty.conf
mkdir /etc/asterisk/iaxtrunk
touch /etc/asterisk/iaxtrunk/empty.conf
mkdir /etc/asterisk/pjsiptrunk
touch /etc/asterisk/pjsiptrunk/empty.conf
mkdir /etc/asterisk/pjsip
touch /etc/asterisk/pjsip/empty.conf
mkdir /etc/asterisk/queues
touch /etc/asterisk/queues/empty.conf
mkdir /etc/asterisk/moh
touch /etc/asterisk/moh/empty.conf
mkdir /etc/asterisk/vm
touch /etc/asterisk/vm/empty.conf
mkdir /etc/asterisk/sipreg
touch /etc/asterisk/sipreg/empty.conf
mkdir /etc/asterisk/fme
touch /etc/asterisk/fme/empty.conf
touch /etc/asterisk/AEL/context-out/empty.conf

touch /etc/asterisk/AEL/ivr/empty.ael
touch /etc/asterisk/AEL/context-in/empty.ael

chmod 777 -R /etc/asterisk
chmod 777 -R /cid
chmod 777 -R /var/spool/asterisk
chmod 4755 /cid/ast
chmod 4755 /cid/rv

/etc/init.d/asterisk restart


